org.springframework.data.repository.query

## Interface QueryLookupStrategy

    public interface QueryLookupStrategy

Strategy interface for which way to lookup `RepositoryQuery`s.

Author:
  Oliver Gierke

### Nested Class Summary

Nested Classes
`static class` `QueryLookupStrategy.Key`

### Method Summary

All Methods Instance Methods Abstract Methods
`RepositoryQuery` `resolveQuery(Method method, RepositoryMetadata metadata, ProjectionFactory factory, NamedQueries namedQueries)` Resolves a `RepositoryQuery` from the given `QueryMethod` that can be executed afterwards.

### Method Detail

#### resolveQuery

    RepositoryQuery resolveQuery(Method method,
                                 RepositoryMetadata metadata,
                                 ProjectionFactory factory,
                                 NamedQueries namedQueries)

Resolves a `RepositoryQuery` from the given `QueryMethod` that can be executed afterwards.

Parameters:
  `method` - will never be null.
  `metadata` - will never be null.
  `factory` - will never be null.
  `namedQueries` - will never be null.
Returns: